/******************************************************************************
 Name:         BackgroundView.cpp
 Version:      1.3
 Description:  
 History:      25/06/2001  Jérôme De Solliers   Creation
 ******************************************************************************/

#include "BackgroundView.h"


//*****************************************************************************
// BackgroundView::BackgroundView()
//*****************************************************************************
BackgroundView::BackgroundView(BRect frame, const char *name, BBitmap *bitmap, uint32 resizingMode, uint32 flags)
		: BView(frame, name, resizingMode, flags)
{
	SetDrawingMode(B_OP_OVER);
	m_bitmap = bitmap;
}


//*****************************************************************************
// BackgroundView::Draw()
//*****************************************************************************
void BackgroundView::Draw(BRect updateRect)
{
	// Fill the background
	BRect rect = Bounds();
	SetHighColor(171,221,171,0);
	rect.right = 26;
	FillRect(rect);
	SetHighColor(216,216,216,0);
	rect = Bounds();
	rect.left = 27;
	FillRect(rect);
	
	// Draw a line
	SetHighColor(0,0,0,0);
	BPoint p1, p2;
	p1.x = 26; p1.y = 0;
	p2.x = 26; p2.y = rect.bottom;
	StrokeLine(p1, p2);
	
	// Draw the icon bitmap
	if ( m_bitmap )
		DrawBitmap(m_bitmap, BRect(14,14,45,45));
}


