/******************************************************************************
 Name:         EListPerson.h
 Version:      1.0
 Description:  
 History:      08/02/1999  Jérôme De Solliers   Creation
 ******************************************************************************/

#ifndef E_LIST_PERSON_H
#define E_LIST_PERSON_H

#ifndef _STORAGE_KIT
#include "StorageKit.h"
#endif

#include <MenuItem.h>
#include <String.h>


/******************************************************************************
 Constant
 ******************************************************************************/
const uint32	E_MSG_WHAT_PERSON = 'mwpe';


/******************************************************************************
 Structure
 ******************************************************************************/
typedef struct	people_info_list
{
	BPath		path;			// File location
	BString		group;			// Person group
	BString		name;			// Person name
	BString		email;			// Person email
};


/******************************************************************************
 Prototype
 ******************************************************************************/
int compare_string(const void *item1, const void *item2);


/******************************************************************************
 Class EListPerson
 ******************************************************************************/
class EListPerson
{
public:
							EListPerson();
							~EListPerson();
	
	status_t				InitCheck(void);
	BList *					CreateList(void);
	void					ClearList(void);
	BPopUpMenu *			BuildPopUpMenu(BPopUpMenu *menu, BMessenger *messenger);
	
private:
	status_t				m_init_status;
	BString					m_name_path;
	BList					*m_people_list;
};


//*****************************************************************************
// class ExtMenuItem
//*****************************************************************************
class ExtMenuItem : public BMenuItem
{
public:
					ExtMenuItem(const char *label, BMessage *message, bool email, char shortcut=0, uint32 modifiers=0);
					ExtMenuItem(BMenu *submenu, BMessage *message = NULL);
private:
	bool			m_email;
	
protected:
	virtual status_t Invoke(BMessage *msg);
	virtual void	DrawContent(void);
};


#endif  // E_LIST_PERSON_H
