/******************************************************************************
 Name:         QuickLaunchPeople.h
 Version:      1.3
 Description:  
 History:      09/06/2001  Jérôme De Solliers   Creation
 ******************************************************************************/

#ifndef _QUICK_LAUNCH_PEOPLE_H
#define _QUICK_LAUNCH_PEOPLE_H

#include <Deskbar.h>
#include <AppKit.h>

#include <Alert.h>
#include <Bitmap.h>
#include <PopUpMenu.h>
#include <MenuItem.h>
#include <MenuField.h>
#include <View.h>
#include <Archivable.h>
#include <Mime.h>

#ifndef _APP_FILE_INFO_H
#include <AppFileInfo.h>
#endif

#include "EListPerson.h"
#include "QLPAbout.h"


//*****************************************************************************
// Deskbar Messages
//*****************************************************************************
const uint32	MSG_RELOAD = 'qlst';
const uint32	MSG_ABOUT = 'qlab';
const uint32	MSG_QUIT = 'qlqu';
const uint32	MSG_CREATE = 'qlcr';
const uint32	MSG_OPEN_DIRECTORY = 'qlod';


//*****************************************************************************
// Constants
//*****************************************************************************
// Internal deskbar name (don't change it !)
#define	DESKBAR_VIEW_NAME	"QLPDeskbarView"	// "QLPDeskbarView"
// Text about
#define	TEXT_ABOUT1			"QuickLaunchPeople 1.3"
#define	TEXT_ABOUT2			"\n\n©2001-2002 Jérôme DE SOLLIERS\n" \
	"email: jerome.de.solliers@libertysurf.fr\n\n" \
	"This software is freeware.\n\n" \
	"If you hold down the SHIFT key when you are selecting a name, your preferred email client is launched " \
	"instead of the people application."
// Folder of people files
#define	PEOPLE_FOLDER		"/boot/home/people"
// Application signature
#define	APP_SIGNATURE		"application/x-vnd.desolliers.quicklaunchpeople"
// Tracker signature
#define	TRACKER_SIGNATURE	"application/x-vnd.Be-TRAK"
// Person file signature
#define	PERSON_SIGNATURE	"application/x-person"
// Email file signature
#define	EMAIL_SIGNATURE		"text/x-email"


//*****************************************************************************
// Some prototypes
//*****************************************************************************
bool	LoadDeskbar(void);


//*****************************************************************************
// class QLPDeskbarView
//*****************************************************************************
class _EXPORT QLPDeskbarView;

class QLPDeskbarView : public BView
{
public:
					QLPDeskbarView();
					QLPDeskbarView(BMessage *msg);
	
	void			Init(void);
	void			AttachedToWindow(void);
	void			BuildPopUpList(void);
	void			DetachedFromWindow(void);
	void			MouseDown(BPoint where);
	void			Draw(BRect updateRect);
	void			MessageReceived(BMessage *msg);
	bool			CreateNewPerson(void);
	void			OpenDirectory(void);
	
	static QLPDeskbarView *Instantiate(BMessage *data);
	virtual status_t Archive(BMessage *data, bool deep) const;
	
	bool			m_aboutCurrentlyDisplay;

private:
	void			_RemoveFromDeskbar(void);
	
	BBitmap			*m_iconBitmap;
	BPopUpMenu		*DeskBarMenu;
	EListPerson		*m_listPerson;
	BWindow			*m_winAbout;
};

#endif	// _QUICK_LAUNCH_PEOPLE_H
